Page MenuHomePhabricator

Fix "PHP Notice: Undefined variable: title in extensions/ImageMap/ImageMap_body.php on line 174"
Closed, ResolvedPublic

Description

This is surely also a result of erroneous usage of the extension on the wiki but probably it will be good to have a peep at the code, too. Wikimedia project will most probably also be affected. Pre-bug talk is at [1].

This happens on MW 1.21.x and MW 1.22.x with PHP 5.3.3

[1] https://www.mediawiki.org/wiki/Thread:Extension_talk:ImageMap/PHP_notices_when_running_runJobs.php

Details

Reference
bz66361
Related Gerrit Patches:
mediawiki/extensions/ImageMap : wmf/1.27.0-wmf.8$title is not always defined.
mediawiki/extensions/ImageMap : master$title is not always defined.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:10 AM
bzimport set Reference to bz66361.
bzimport added a subscriber: Unknown Object (MLST).
Kghbln created this task.Jun 9 2014, 6:58 AM

This also happens with PHP 5.4.4

i really wanna contribute to this task

Tgr added a comment.Mar 17 2015, 9:29 PM

Hi @Abdotayb, have you read How to become a MediaWiki hacker? Do you need any help to start?

hey please i want to engage with you in GSOC projest,
i have a really good background of php,html,css,javascript,jquery and wordpress
i really appreciate your help :)

@Abdotayb: If you need help, please specifically describe where we can help you and which questions you have / what is unclear, after you've read the existing documentation. Always happy to help but need to know where and how to help. :)

yeah, i recently registered in Google Summer of Code (GSOC) and , do you know GSOC ?

Yes, we are aware of GSoC.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:30 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:30 PM
Krinkle renamed this task from PHP Notice: Undefined variable: title in /.../extensions/ImageMap/ImageMap_body.php on line 165 to Fix "PHP Notice: Undefined variable: title in extensions/ImageMap/ImageMap_body.php on line 174".Dec 10 2015, 10:47 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle removed a subscriber: wikibugs-l-list.
Krinkle added a subscriber: Krinkle.

Currently on top at https://logstash.wikimedia.org/#/dashboard/elasticsearch/hhvm with about 400 hits in the past few hours.

Change 258361 had a related patch set uploaded (by Reedy):
$title is not always defined.

https://gerrit.wikimedia.org/r/258361

Change 258363 had a related patch set uploaded (by Krinkle):
$title is not always defined.

https://gerrit.wikimedia.org/r/258363

Change 258361 merged by jenkins-bot:
$title is not always defined.

https://gerrit.wikimedia.org/r/258361

Change 258363 merged by jenkins-bot:
$title is not always defined.

https://gerrit.wikimedia.org/r/258363

Krinkle closed this task as Resolved.Dec 11 2015, 2:25 AM
Krinkle claimed this task.

@Krinkle Many thanks for this apparently easy fix :)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM